Subject: bug#33740: [PATCH] Customizable flymake mode-line indicator

From: João Távora <[email-masked]>
Date: Tue, 29 Dec 2020 15:13:39 +0000

Tue, Dec 29, 2020 at 2:22 PM Lars Ingebrigtsen <[email-masked]> wrote:
>
> João Távora <[email-masked]> writes:
>
> > So better put the patch in a side branch and decide if we want to
> > overhaul format-spec to allow for these things, or maybe just use the
> > more powerful existing mode-line language for this, perhaps breaking up
> > that big function into well-behaved pieces that users can compose.
>
> Well, the request was for being able to customise the flymake mode-line
> indicator, which isn't really feasible by asking the user to write mode
> line specs.

How is it more feasible to ask her to write such customizations
inside a string than asking her to write the same customizations
in a symbolic expression?

> But I don't really care one way or the other -- it's up to you, and I
> won't pursue this matter any further.

I'm sorry, but the patch you pushed is crucially flawed, it simply
banishes the indicator in every file without diagnostics in the
"note" category.  This is plain to see in many Elisp files, but is
not only for Elisp, it affects Eglot and likely other uses that
rely on Flymake.  Since I don't know how to fix your "format-spec"
mini-language in the very short term, I hope you understand I
had to revert your patch.

In other words, the problem at hand doesn't get any simpler
just by choosing less powerful language. Either we make
the language more powerful, or we choose to solve a narrower
problem.

I don't understand your "don't care" comment.  You don't care
for enhancing format-spec to allow for conditional formattings.
Or you don't care for Flymake or what?

João